Bug 1027408 - [abrt] easytag-2.1.7-3.fc19: gtk_tree_store_get_path: Process /usr/bin/easytag was killed by signal 11 (SIGSEGV)
[abrt] easytag-2.1.7-3.fc19: gtk_tree_store_get_path: Process /usr/bin/easyta...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: easytag (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:df134e4fd9d9c0a5790fc8771fe...
:
Depends On: 1051759
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 13:43 EST by Kerry
Modified: 2014-01-27 08:09 EST (History)
3 users (show)

See Also:
Fixed In Version: easytag-2.1.9-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 00:48:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (842.71 KB, text/plain)
2013-11-06 13:43 EST, Kerry
no flags Details
File: cgroup (140 bytes, text/plain)
2013-11-06 13:43 EST, Kerry
no flags Details
File: core_backtrace (392.74 KB, text/plain)
2013-11-06 13:43 EST, Kerry
no flags Details
File: dso_list (8.20 KB, text/plain)
2013-11-06 13:43 EST, Kerry
no flags Details
File: environ (4.86 KB, text/plain)
2013-11-06 13:43 EST, Kerry
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-06 13:43 EST, Kerry
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-06 13:43 EST, Kerry
no flags Details
File: maps (45.13 KB, text/plain)
2013-11-06 13:43 EST, Kerry
no flags Details
File: open_fds (226 bytes, text/plain)
2013-11-06 13:43 EST, Kerry
no flags Details
File: proc_pid_status (961 bytes, text/plain)
2013-11-06 13:44 EST, Kerry
no flags Details

  None (edit)
Description Kerry 2013-11-06 13:43:12 EST
Description of problem:
Selected a directory which had been deleted.

Version-Release number of selected component:
easytag-2.1.7-3.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        easytag
crash_function: gtk_tree_store_get_path
executable:     /usr/bin/easytag
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 3
type:           CCpp
uid:            500
var_log_messages: Nov  7 05:27:54 politemadness abrt-hook-ccpp[18871]: Saved core dump of pid 19056 (/usr/bin/easytag) to /var/tmp/abrt/ccpp-2013-11-07-05:27:49-19056 (59977728 bytes)

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 gtk_tree_store_get_path at gtktreestore.c:533
Comment 1 Kerry 2013-11-06 13:43:29 EST
Created attachment 820652 [details]
File: backtrace
Comment 2 Kerry 2013-11-06 13:43:32 EST
Created attachment 820653 [details]
File: cgroup
Comment 3 Kerry 2013-11-06 13:43:40 EST
Created attachment 820654 [details]
File: core_backtrace
Comment 4 Kerry 2013-11-06 13:43:43 EST
Created attachment 820655 [details]
File: dso_list
Comment 5 Kerry 2013-11-06 13:43:46 EST
Created attachment 820656 [details]
File: environ
Comment 6 Kerry 2013-11-06 13:43:49 EST
Created attachment 820657 [details]
File: exploitable
Comment 7 Kerry 2013-11-06 13:43:53 EST
Created attachment 820658 [details]
File: limits
Comment 8 Kerry 2013-11-06 13:43:56 EST
Created attachment 820659 [details]
File: maps
Comment 9 Kerry 2013-11-06 13:43:59 EST
Created attachment 820660 [details]
File: open_fds
Comment 10 Kerry 2013-11-06 13:44:02 EST
Created attachment 820661 [details]
File: proc_pid_status
Comment 11 David King 2014-01-16 10:38:44 EST
I tested this with 2.1.8-1, which is currently in updates-testing for F19 (and is in updates for F20):

https://admin.fedoraproject.org/updates/FEDORA-2014-0535/easytag-2.1.8-1.fc19

To reproduce, I:

1. started EasyTAG
2. selected a directory in the browser tree
3. in Nautilus, deleted a different directory which was also visible in the EasyTAG browser tree
4. selected the (deleted) directory in the browser tree

I got a popup dialogue which said that the directory was not found, but there was no crash. Can you try with 2.1.8-1 and check if the problem is solved for you?
Comment 12 Kerry 2014-01-16 15:11:52 EST
Just crashed Easytag. 
$ rpm -q easytag
easytag-2.1.8-1.fc20.x86_64

1) Have two directories
    a
    x/y/z
2) Select directory z in Easytag
3) Select directory a in Easytag
4) Delete directory tree x/y/z in Nautilus
5) Select directory z in Easytag
6) Easytag tells you 3 times it can't find directory z, then y, then x
7) Crash
Comment 13 David King 2014-01-16 15:35:39 EST
Thanks, I was able to reproduce with those steps. The behaviour with 2.1.9 is better, as there is no crash, although the browser tree is inconsistent until the tree is reloaded. I will file an update for 2.1.9 tomorrow.
Comment 14 Fedora Update System 2014-01-17 12:35:00 EST
easytag-2.1.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/easytag-2.1.9-1.fc19
Comment 15 Fedora Update System 2014-01-17 12:36:23 EST
easytag-2.1.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/easytag-2.1.9-1.fc20
Comment 16 Fedora Update System 2014-01-18 23:05:44 EST
Package easytag-2.1.9-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing easytag-2.1.9-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1118/easytag-2.1.9-1.fc20
then log in and leave karma (feedback).
Comment 17 Kerry 2014-01-19 19:16:21 EST
I tried 2.1.9-1 and it doesn't crash in this same way any more. Thanks.
Comment 18 Fedora Update System 2014-01-21 00:48:43 EST
easytag-2.1.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2014-01-27 08:09:17 EST
easytag-2.1.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.